---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/v5-EN/llms.txt
---

# Create a new ExportProfile in the datamodel

Creates a ExportProfile resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/export-profiles": {
      "post": {
        "operationId": "postExportProfileCollection",
        "tags": [
          "Data Flow"
        ],
        "responses": {
          "201": {
            "description": "ExportProfile resource created",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/ExportProfile.ExportProfileOutput.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/ExportProfile.ExportProfileOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ExportProfile.ExportProfileOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/ExportProfile.ExportProfileOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output"
                }
              }
            },
            "links": {
              "GetExportProfileItem": {
                "operationId": "getExportProfileItem",
                "parameters": {
                  "id": "$response.body#/id"
                },
                "description": "The `id` value returned in the response can be used as the `id` parameter in `GET /export-profiles/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Create a new ExportProfile in the datamodel",
        "description": "Creates a ExportProfile resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new ExportProfile resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/ExportProfile.ExportProfileInput.jsonld-exportProfile.input.create"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/ExportProfile.ExportProfileInput-exportProfile.input.create"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ExportProfile.ExportProfileInput-exportProfile.input.create"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/ExportProfile.ExportProfileInput-exportProfile.input.create"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Catalog-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "Catalog.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "required": [
          "id"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "EmbedCatalogInput-exportProfile.input.create": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          }
        }
      },
      "EmbedCatalogInput.jsonld-exportProfile.input.create": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "type": "string"
          }
        }
      },
      "ExportProfile.ExportProfileInput-exportProfile.input.create": {
        "type": "object",
        "properties": {
          "displayFallbackColumns": {
            "type": "string"
          },
          "filters": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "joins": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "predefinedValueOptions": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "catalog": {
            "example": {
              "id": "catalog-id"
            },
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/EmbedCatalogInput-exportProfile.input.create"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "model": {
            "type": "string"
          },
          "dateFormat": {
            "type": "string"
          },
          "dateTimeSeparator": {
            "type": "string"
          },
          "enclosure": {
            "type": "string"
          },
          "fieldSeparator": {
            "type": "string"
          },
          "multiValueSeparator": {
            "type": "string"
          },
          "numberFormat": {
            "type": "string"
          },
          "timeFormat": {
            "type": "string"
          },
          "extension": {
            "type": "string"
          },
          "mappings": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "attributeCode": {
                  "type": "string"
                },
                "attributeType": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "position": {
                  "type": "integer"
                }
              }
            }
          },
          "locales": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "ExportProfile.ExportProfileInput.jsonld-exportProfile.input.create": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "displayFallbackColumns": {
            "type": "string"
          },
          "filters": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "joins": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "predefinedValueOptions": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "catalog": {
            "example": {
              "id": "catalog-id"
            },
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/EmbedCatalogInput.jsonld-exportProfile.input.create"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "model": {
            "type": "string"
          },
          "dateFormat": {
            "type": "string"
          },
          "dateTimeSeparator": {
            "type": "string"
          },
          "enclosure": {
            "type": "string"
          },
          "fieldSeparator": {
            "type": "string"
          },
          "multiValueSeparator": {
            "type": "string"
          },
          "numberFormat": {
            "type": "string"
          },
          "timeFormat": {
            "type": "string"
          },
          "extension": {
            "type": "string"
          },
          "mappings": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "attributeCode": {
                  "type": "string"
                },
                "attributeType": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "position": {
                  "type": "integer"
                }
              }
            }
          },
          "locales": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "ExportProfile.ExportProfileOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "properties": {
          "displayFallbackColumns": {
            "readOnly": true,
            "type": "string"
          },
          "filters": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "joins": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "predefinedValueOptions": {
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "catalog": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/Catalog-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "name": {
            "readOnly": true,
            "type": "string"
          },
          "description": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "model": {
            "readOnly": true,
            "type": "string"
          },
          "extension": {
            "readOnly": true,
            "type": "string"
          },
          "multiValueSeparator": {
            "readOnly": true,
            "type": "string"
          },
          "mappings": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "attributeCode": {
                  "type": "string"
                },
                "attributeType": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "position": {
                  "type": "integer"
                }
              }
            },
            "readOnly": true
          },
          "createdBy": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "updatedBy": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "locales": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "readOnly": true
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "dateCreated": {
            "readOnly": true,
            "type": "string",
            "format": "date-time"
          },
          "dateModified": {
            "readOnly": true,
            "type": "string",
            "format": "date-time"
          }
        }
      },
      "ExportProfile.ExportProfileOutput.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "displayFallbackColumns": {
            "readOnly": true,
            "type": "string"
          },
          "filters": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "joins": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "predefinedValueOptions": {
            "readOnly": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "catalog": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/Catalog.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "name": {
            "readOnly": true,
            "type": "string"
          },
          "description": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "model": {
            "readOnly": true,
            "type": "string"
          },
          "extension": {
            "readOnly": true,
            "type": "string"
          },
          "multiValueSeparator": {
            "readOnly": true,
            "type": "string"
          },
          "mappings": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "attributeCode": {
                  "type": "string"
                },
                "attributeType": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "position": {
                  "type": "integer"
                }
              }
            },
            "readOnly": true
          },
          "createdBy": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "updatedBy": {
            "readOnly": true,
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output"
              }
            ]
          },
          "locales": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "readOnly": true
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "dateCreated": {
            "readOnly": true,
            "type": "string",
            "format": "date-time"
          },
          "dateModified": {
            "readOnly": true,
            "type": "string",
            "format": "date-time"
          }
        }
      },
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "User.UserOutput-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "properties": {
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          }
        }
      },
      "User.UserOutput.jsonld-exportProfile.input.create_exportProfile.input.update_export-profile.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ]
}
```